Subject: [DNSOP] DS placement

From: Paul Vixie <[email-masked]>
Date: Tue, 28 Mar 2017 11:00:28 -0700

Paul Vixie wrote:
> i got underscores wrong in SRV. it may be that we should not follow that
> track at all.
> 
> ...

this reminds me of the following related topic.

had SRV done underscores correctly, then the placement of DS would have
been more obvious. right now it's at the delegation point, which was
seen as the only way to make it part of the delegating zone. it's not.

if the vix.su DS could have been placed at vix._dnssec.su, where _dnssec
was an in-zone (non-delegated) label, then the middlebox RDNS servers
who do not know (and will never know) to forward DS queries to the
delegater not the delegated, would not be slowing dnssec deployment.

some of you heard me talk about this as "the cousins solution" years ago.

-- 
P Vixie